#!/bin/sh

apt-get install -y \
  libdrm-dev \
  x11proto-dri2-dev \
  libx11-dev \
  libxext-dev \
  libxfixes-dev \
  \
  x11proto-gl-dev \
  libxxf86vm-dev \
  libxdamage-dev \
  libxcb-glx0-dev \
  libxcb-dri2-0-dev \
  libx11-xcb-dev

apt-get install -y \
  x11proto-dri3-dev \
  x11proto-present-dev \
  libxcb-dri3-dev \
  libxcb-present-dev \
  libxcb-sync-dev \
  libxshmfence-dev || true

apt-get install -y libwayland-dev || true

if [ -e libegl1-mesa ]; then

  dpkg -i dev/libump-dev_*.deb || true
  dpkg -i dev/libmali-dev_*.deb || true

  dpkg -i libegl1-mesa/libegl1-mesa-dev_*.deb 
  dpkg -i libgles2-mesa/libgles2-mesa-dev_*.deb 
  dpkg -i libopenvg1-mesa/libopenvg1-mesa-dev_*.deb

  apt-get install -y mesa-common-dev

  if [ ! -e /usr/lib/aarch64-linux-gnu/pkgconfig/wayland-egl.pc ]; then
    dpkg -i libwayland-egl1-mesa/libwayland-egl1-mesa-dev_*.deb || true
  fi

  if apt-get install -y libglvnd0 libglvnd-core-dev libgl1 libglx0 libopengl0 ; then
    dpkg -i libglvnd/libglvnd-dev_*.deb
  fi

else
  apt-get install -y \
    libegl1-mesa-dev \
    libgles2-mesa-dev \
    \
    mesa-common-dev

  apt-get install -y libglvnd-dev || true
fi

apt-get install -y \
  libglapi-mesa \
  libgl1-mesa-dri \
  libgl1-mesa-glx \
  libgbm1 \
  \
  libgl1-mesa-dev \
  libgbm-dev

echo OK
